Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360955 - [abrt] WARNING: CPU: 1 PID: 117 at net/mac80211/ibss.c:1083 ieee80211_rx_mgmt_probe_beacon+0x69d/0x710 [mac80211]
Summary: [abrt] WARNING: CPU: 1 PID: 117 at net/mac80211/ibss.c:1083 ieee80211_rx_mgmt...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:961bf13bf1924b2850f89114ce0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-28 02:19 UTC by Stuart D Gathman
Modified: 2016-12-20 21:16 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 21:16:47 UTC


Attachments (Terms of Use)
File: dmesg (deleted)
2016-07-28 02:19 UTC, Stuart D Gathman
no flags Details

Description Stuart D Gathman 2016-07-28 02:19:36 UTC
Description of problem:
boot system
Was also happening in 4.4.6 kernel

Additional info:
reporter:       libreport-2.6.4
WARNING: CPU: 1 PID: 117 at net/mac80211/ibss.c:1083 ieee80211_rx_mgmt_probe_beacon+0x69d/0x710 [mac80211]
Modules linked in: xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun batman_adv libcrc32c nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_filter ebtable_broute bridge stp llc ebtable_nat ebtables ip6table_mangle ip6table_security ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_raw ip6table_filter ip6_tables iptable_mangle iptable_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_raw joydev rtl8xxxu arc4 rtl8192cu rtl_usb rtl8192c_common rtlwifi mac80211 cfg80211 rfkill cp210x ppdev mei_wdt snd_usb_audio iTCO_wdt iTCO_vendor_support cm109 intel_rapl x86_pkg_temp_thermal uvcvideo coretemp videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 snd_usbmidi_lib
 kvm_intel videobuf2_core kvm videodev snd_rawmidi irqbypass media crct10dif_pclmul crc32_pclmul snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic crc32c_intel ghash_clmulni_intel snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep snd_seq snd_seq_device snd_pcm mei_me snd_timer snd dcdbas i2c_i801 shpchp parport_pc mei parport soundcore lpc_ich tpm_tis tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc hid_microsoft i915 i2c_algo_bit drm_kms_helper drm e1000e serio_raw ptp pps_core fjes video
CPU: 1 PID: 117 Comm: kworker/u32:4 Not tainted 4.6.4-201.fc23.x86_64 #1
Hardware name: Dell Inc. OptiPlex 790/0HY9JP, BIOS A06 07/25/2011
Workqueue: phy0 ieee80211_iface_work [mac80211]
 0000000000000286 000000005d9f4091 ffff880036857980 ffffffff813d90de
 0000000000000000 0000000000000000 ffff8800368579c0 ffffffff810a732b
 0000043b18620000 0000000000000088 ffff880127f6a880 ffff8800bf1b0700
Call Trace:
 [<ffffffff813d90de>] dump_stack+0x63/0x85
 [<ffffffff810a732b>] __warn+0xcb/0xf0
 [<ffffffff810a745d>] warn_slowpath_null+0x1d/0x20
 [<ffffffffc0778bfd>] ieee80211_rx_mgmt_probe_beacon+0x69d/0x710 [mac80211]
 [<ffffffffc0779385>] ieee80211_ibss_rx_queued_mgmt+0x3a5/0x490 [mac80211]
 [<ffffffffc078d5a1>] ? __ieee80211_tx+0x81/0x180 [mac80211]
 [<ffffffffc07912cf>] ? ieee80211_tx+0xdf/0x110 [mac80211]
 [<ffffffff81221e2a>] ? __slab_free+0x9a/0x250
 [<ffffffffc07926fb>] ? __ieee80211_tx_skb_tid_band+0x7b/0x80 [mac80211]
 [<ffffffffc0773e74>] ? ieee80211_send_delba+0x134/0x1b0 [mac80211]
 [<ffffffffc077b084>] ? ieee80211_iface_work+0xd4/0x410 [mac80211]
 [<ffffffff812221ad>] ? kmem_cache_free+0x1cd/0x1e0
 [<ffffffffc077b257>] ieee80211_iface_work+0x2a7/0x410 [mac80211]
 [<ffffffff810c0b3c>] process_one_work+0x15c/0x430
 [<ffffffff810c0e5e>] worker_thread+0x4e/0x480
 [<ffffffff810c0e10>] ? process_one_work+0x430/0x430
 [<ffffffff810c6c98>] kthread+0xd8/0xf0
 [<ffffffff817da5c2>] ret_from_fork+0x22/0x40
 [<ffffffff810c6bc0>] ? kthread_worker_fn+0x170/0x170

Comment 1 Stuart D Gathman 2016-07-28 02:19:46 UTC
Created attachment 1184849 [details]
File: dmesg

Comment 2 Laura Abbott 2016-09-23 19:45:54 UTC
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.

Comment 3 Stuart D Gathman 2016-10-05 20:52:58 UTC
kernel-4.7.5-100.fc23.x86_64

kernel: ------------[ cut here ]------------
kernel: WARNING: CPU: 0 PID: 118 at net/mac80211/ibss.c:1082 ieee80211_rx_mgmt_probe_beacon+0x6ab/0x720 [mac80211]
kernel: Modules linked in: xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 batman_adv libcrc32c nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter xt_conntrack ip_set nfnetlink ebtable_broute bridge stp llc ebtable_nat ip6table_raw ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_security ip6table_mangle iptable_raw iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_security iptable_mangle ebtable_filter ebtables ip6table_filter ip6_tables tun rtl8xxxu arc4 rtl8192cu rtl_usb rtl8192c_common rtlwifi mac80211 cfg80211 rfkill snd_hda_codec_hdmi intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2
kernel:  kvm_intel snd_hda_codec snd_usb_audio snd_hda_core snd_usbmidi_lib videobuf2_core snd_rawmidi snd_hwdep snd_seq snd_seq_device videodev kvm mei_wdt irqbypass crct10dif_pclmul ppdev iTCO_wdt iTCO_vendor_support cm109 snd_pcm crc32_pclmul media joydev crc32c_intel ghash_clmulni_intel snd_timer intel_cstate intel_uncore snd intel_rapl_perf soundcore shpchp mei_me dcdbas parport_pc parport lpc_ich i2c_i801 mei tpm_tis tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc hid_microsoft i915 i2c_algo_bit drm_kms_helper e1000e serio_raw drm ptp pps_core fjes video
kernel: CPU: 0 PID: 118 Comm: kworker/u32:4 Not tainted 4.7.5-100.fc23.x86_64 #1
kernel: Hardware name: Dell Inc. OptiPlex 790/0HY9JP, BIOS A06 07/25/2011
kernel: Workqueue: phy0 ieee80211_iface_work [mac80211]
kernel:  0000000000000286 00000000eab6fc90 ffff8800c3b93980 ffffffffad3d627e
kernel:  0000000000000000 0000000000000000 ffff8800c3b939c0 ffffffffad09fa5b
kernel:  0000043a18620000 0000000000000088 ffff8800362ee840 ffff8800be730720
kernel: Call Trace:
kernel:  [<ffffffffad3d627e>] dump_stack+0x63/0x85
kernel:  [<ffffffffad09fa5b>] __warn+0xcb/0xf0
kernel:  [<ffffffffad09fb8d>] warn_slowpath_null+0x1d/0x20
kernel:  [<ffffffffc083411b>] ieee80211_rx_mgmt_probe_beacon+0x6ab/0x720 [mac80211]
kernel:  [<ffffffffad0d4523>] ? update_curr+0xf3/0x180
kernel:  [<ffffffffc0834895>] ieee80211_ibss_rx_queued_mgmt+0x3a5/0x490 [mac80211]
kernel:  [<ffffffffad0c90b9>] ? ttwu_do_wakeup+0x19/0xe0
kernel:  [<ffffffffad0c91ef>] ? ttwu_do_activate+0x6f/0x80
kernel:  [<ffffffffad7e4b2e>] ? _raw_spin_unlock_irqrestore+0xe/0x10
kernel:  [<ffffffffad0c9c28>] ? try_to_wake_up+0x58/0x3d0
kernel:  [<ffffffffad025752>] ? __switch_to+0x2a2/0x4c0
kernel:  [<ffffffffad1ba056>] ? free_one_page+0x266/0x4a0
kernel:  [<ffffffffad21dc5a>] ? __slab_free+0x9a/0x250
kernel:  [<ffffffffc0836534>] ? ieee80211_iface_work+0xd4/0x410 [mac80211]
kernel:  [<ffffffffad21dfdd>] ? kmem_cache_free+0x1cd/0x1e0
kernel:  [<ffffffffc0836707>] ieee80211_iface_work+0x2a7/0x410 [mac80211]
kernel:  [<ffffffffad0b7976>] ? pwq_activate_delayed_work+0x46/0xb0
kernel:  [<ffffffffad0b91ff>] process_one_work+0x15f/0x430
kernel:  [<ffffffffad0b951e>] worker_thread+0x4e/0x480
kernel:  [<ffffffffad0b94d0>] ? process_one_work+0x430/0x430
kernel:  [<ffffffffad0bf318>] kthread+0xd8/0xf0
kernel:  [<ffffffffad7e517f>] ret_from_fork+0x1f/0x40
kernel:  [<ffffffffad0bf240>] ? kthread_worker_fn+0x170/0x170
kernel: ---[ end trace 8c6e027a9cc6e3ef ]---

Comment 4 Stuart D Gathman 2016-10-14 19:09:54 UTC
kernel-4.7.6-100.fc23.x86_64

[  568.425573] ------------[ cut here ]------------
[  568.425610] WARNING: CPU: 3 PID: 117 at net/mac80211/ibss.c:1082 ieee80211_rx_mgmt_probe_beacon+0x6ab/0x720 [mac80211]
[  568.425613] Modules linked in: xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 batman_adv libcrc32c nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_broute bridge stp llc ebtable_nat ip6table_mangle ip6table_security ip6table_raw ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 iptable_mangle iptable_security iptable_raw iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables tun rtl8xxxu arc4 rtl8192cu rtl_usb rtl8192c_common rtlwifi mac80211 cfg80211 rfkill joydev intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp ppdev uvcvideo videobuf2_vmalloc kvm_intel videobuf2_memops iTCO_wdt iTCO_vendor_support videobuf2_v4l2 videobuf2_core
[  568.425654]  mei_wdt videodev snd_hda_codec_hdmi snd_usb_audio kvm snd_hda_codec_realtek media cm109 snd_usbmidi_lib snd_rawmidi snd_hda_codec_generic irqbypass crct10dif_pclmul crc32_pclmul snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep crc32c_intel ghash_clmulni_intel intel_cstate intel_uncore snd_seq snd_seq_device snd_pcm dcdbas intel_rapl_perf snd_timer snd soundcore parport_pc shpchp parport lpc_ich mei_me mei i2c_i801 tpm_tis tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc hid_microsoft i915 i2c_algo_bit drm_kms_helper drm e1000e serio_raw ptp pps_core video fjes
[  568.425693] CPU: 3 PID: 117 Comm: kworker/u32:3 Not tainted 4.7.6-100.fc23.x86_64 #1
[  568.425695] Hardware name: Dell Inc. OptiPlex 790/0HY9JP, BIOS A06 07/25/2011
[  568.425714] Workqueue: phy0 ieee80211_iface_work [mac80211]
[  568.425716]  0000000000000286 000000003d176478 ffff88003682f980 ffffffff883d63be
[  568.425720]  0000000000000000 0000000000000000 ffff88003682f9c0 ffffffff8809fa8b
[  568.425723]  0000043a18620000 0000000000000088 ffff8800bd4d8840 ffff8801279d0720
[  568.425726] Call Trace:
[  568.425733]  [<ffffffff883d63be>] dump_stack+0x63/0x85
[  568.425738]  [<ffffffff8809fa8b>] __warn+0xcb/0xf0
[  568.425741]  [<ffffffff8809fbbd>] warn_slowpath_null+0x1d/0x20
[  568.425758]  [<ffffffffc08ff14b>] ieee80211_rx_mgmt_probe_beacon+0x6ab/0x720 [mac80211]
[  568.425763]  [<ffffffff880d4553>] ? update_curr+0xf3/0x180
[  568.425780]  [<ffffffffc08ff8c5>] ieee80211_ibss_rx_queued_mgmt+0x3a5/0x490 [mac80211]
[  568.425784]  [<ffffffff880c90e9>] ? ttwu_do_wakeup+0x19/0xe0
[  568.425787]  [<ffffffff880c921f>] ? ttwu_do_activate+0x6f/0x80
[  568.425791]  [<ffffffff887e4b2e>] ? _raw_spin_unlock_irqrestore+0xe/0x10
[  568.425795]  [<ffffffff880c9c58>] ? try_to_wake_up+0x58/0x3d0
[  568.425799]  [<ffffffff88025752>] ? __switch_to+0x2a2/0x4c0
[  568.425802]  [<ffffffff880c9fe5>] ? wake_up_process+0x15/0x20
[  568.425805]  [<ffffffff880b7ce9>] ? insert_work+0x79/0xc0
[  568.425808]  [<ffffffff880b7e72>] ? __queue_work+0x142/0x460
[  568.425824]  [<ffffffffc08f8f59>] ? ieee80211_start_next_roc+0x99/0xa0 [mac80211]
[  568.425841]  [<ffffffffc0901737>] ieee80211_iface_work+0x2a7/0x410 [mac80211]
[  568.425843]  [<ffffffff880b79a6>] ? pwq_activate_delayed_work+0x46/0xb0
[  568.425846]  [<ffffffff880b922f>] process_one_work+0x15f/0x430
[  568.425848]  [<ffffffff880b954e>] worker_thread+0x4e/0x480
[  568.425851]  [<ffffffff880b9500>] ? process_one_work+0x430/0x430
[  568.425854]  [<ffffffff880bf348>] kthread+0xd8/0xf0
[  568.425858]  [<ffffffff887e517f>] ret_from_fork+0x1f/0x40
[  568.425861]  [<ffffffff880bf270>] ? kthread_worker_fn+0x170/0x170
[  568.425864] ---[ end trace 9624f27f70352281 ]---

Comment 5 Fedora End Of Life 2016-11-25 09:28:22 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2016-12-20 21:16:47 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.